# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-06-05 23:44
from __future__ import unicode_literals

import ado.media.fields.related
import autoslug.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
        ('artists', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Exhibition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, help_text='Unique text identifier used in urls.', max_length=200, populate_from='title', unique=True)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField(blank=True, null=True)),
                ('published', models.BooleanField(default=True, help_text='Whether to publish on the site.')),
                ('text', models.TextField(blank=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('artists', models.ManyToManyField(blank=True, related_name='exhibitions', to='artists.Artist')),
                ('files', ado.media.fields.related.RelatedFilesField(through='media.FileRelation', to='media.File', verbose_name='Files')),
                ('images', ado.media.fields.related.RelatedImagesField(through='media.ImageRelation', to='media.Image', verbose_name='Images')),
            ],
            options={
                'ordering': ('-start_date',),
            },
        ),
    ]
